Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect
[Groovy] Class TextNode

    java.lang.Object
      groovy.inspect.TextNode

    class TextNode

Represents a plain text node for use in the AST tree made by ASTBrowser

Authors:
  Roshan Dawrani

Property Summary
`java.util.List` | `children`
`TextNode` | `parent`
`java.util.List` | `properties`
`java.lang.Object` | `userObject`

Constructor Summary
`TextNode(java.lang.Object userObject)`
`TextNode(java.lang.Object userObject, java.util.List properties)`

Method Summary
`void` | `add(TextNode child)`
`void` | `setParent(TextNode newParent)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### children

    java.util.List children

### parent

    TextNode parent

### properties

    java.util.List properties

### userObject

    java.lang.Object userObject

Constructor Detail

### TextNode

    TextNode(java.lang.Object userObject)

### TextNode

    TextNode(java.lang.Object userObject, java.util.List properties)

Method Detail

### add

    void add(TextNode child)

### setParent

    void setParent(TextNode newParent)

### toString

    java.lang.String toString()

Groovy Documentation